polybori::CErrorInfo Class Reference

`#include <CErrorInfo.h>`

## Public Types

typedef CTypes::errornum_type | errornum_type
| adopt global error code enumeration More...
typedef CTypes::errortext_type | errortext_type
| adopt global error text type More...

## Public Member Functions

| CErrorInfo ()
| default constructor (call once for text initialization) More...

## Static Public Member Functions

static errortext_type | text (errornum_type)
| convert error code to description text More...

## Static Protected Attributes

static errortext_type | pErrorText []
| table of error messages in readable form More...

## Member Typedef Documentation

typedef CTypes::errornum_type polybori::CErrorInfo::errornum_type

adopt global error code enumeration

typedef CTypes::errortext_type polybori::CErrorInfo::errortext_type

adopt global error text type

## Constructor & Destructor Documentation

polybori::CErrorInfo::CErrorInfo | ( |  | ) |

default constructor (call once for text initialization)

References PBORI_TRACE_FUNC.

## Member Function Documentation

CErrorInfo::errortext_type polybori::CErrorInfo::text | ( | errornum_type | num | ) |

static

convert error code to description text

References PBORI_TRACE_FUNC, and PBORI_UNLIKELY.

Referenced by polybori::PBoRiError::text().

## Member Data Documentation

CErrorInfo::errortext_type polybori::CErrorInfo::pErrorText

static protected

table of error messages in readable form

The documentation for this class was generated from the following files:

- CErrorInfo.h
- CErrorInfo.cc